# Contributing to Solara

You do not need to be a developer to contribute to Solara. We welcome all contributions, bug reports, documentation improvements and code contributions.


## Bug reports

We use [GitHub to manage issues](https://github.com/widgetti/solara/issues/new) and you should not hesitate to report any bug you find. Please include as much information as possible for us to be able to reproduce the bug. Yes, reporting a bug/issue is a contribution!

It might take a while for us to get back to you. If the bug is urgent, and you are able to provide financial support for its rapid resolution, please [contact us](/docs/contact).
If you can fix the bug yourself, please consider submitting a pull request instead, see [the development guide](/docs/development) for more information.

If you are unable to address the bug yourself and find it challenging to provide financial support, please be assured we are still committed to rectifying bugs and resolving issues. However, please understand that our ability to address these issues may be impacted by our resources at hand, as sustaining this project also entails financial obligations. Your patience and understanding in this matter is highly appreciated 🙇.

## Documentation

The documentation is mostly written in Markdown, and can be found at [in the main repository](https://github.com/widgetti/solara/tree/master/solara/website/pages).

You can use the GitHub web interface to edit the files, or clone the repository and edit them locally. See [the development guide](/docs/development) for more information.

If you locally want to render the documentation, run:

```bash
$ solara run solara.website.pages
```

## Examples or showcase

If you have a complete program you want to share, and you think it would be cool to be listed at [our showcase page](/showcase), [please contact us](/docs/contact).

If you want to show a particular way of using Solara that you think is very useful
for others, but it is not a complete program, consider adding to [the examples](/docs/examples). See [the development guide](/docs/development) for more information.

## Share your experiences and ideas

If you want to share your thoughts, share your experiences, or just want to talk
to other people using and developing on Solara, consider using [GitHub discussions](https://github.com/widgetti/solara/discussions) for asynchronous discussions
or consider joining discord for more synchronous discussions.


[![Discord Shield](https://discordapp.com/api/guilds/1106593685241614489/widget.png?style=banner2)](https://discord.gg/2jAh9P8H)
